| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReaderTimes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class ReaderTimes, defining the times associated with the Reliable Readers events. More...

`#include <ReaderAttributes.hpp>`

## Public Member Functions

bool | operator== (const ReaderTimes &b) const

## Public Attributes

dds::Duration_t | initial_acknack_delay {0, 70 * 1000 * 1000}
| Initial AckNack delay. Default value 70ms.
dds::Duration_t | heartbeat_response_delay {0, 5 * 1000 * 1000}
| Delay to be applied when a HEARTBEAT message is received, default value 5ms.

## Detailed Description

Class ReaderTimes, defining the times associated with the Reliable Readers events.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const ReaderTimes & | b | ) | const

inline

## Member Data Documentation

## ◆ heartbeat_response_delay

dds::Duration_t heartbeat_response_delay {0, 5 * 1000 * 1000}

Delay to be applied when a HEARTBEAT message is received, default value 5ms.

## ◆ initial_acknack_delay

dds::Duration_t initial_acknack_delay {0, 70 * 1000 * 1000}

Initial AckNack delay. Default value 70ms.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/ReaderAttributes.hpp